import { ValidationError } from "class-validator";
import React, { FunctionComponent, PropsWithChildren } from "react";
export declare type ValidatorResultType = 'map' | 'boolean';
export declare type OnErrorMessageHandler = (error: ValidationError) => string[];
export declare type ValidatorContextOptions = {
    onErrorMessage?: OnErrorMessageHandler;
    resultType?: ValidatorResultType;
};
export declare const ValidatorContext: React.Context<ValidatorContextOptions>;
export declare const ValidatorProvider: FunctionComponent<PropsWithChildren<{
    options?: ValidatorContextOptions;
}>>;
